# wxWizardPageSimple Class Reference
[Miscellaneous Windows]

`#include <wx/wizard.h>`

Inheritance diagram for wxWizardPageSimple:
[legend]

## Detailed Description

wxWizardPageSimple is the simplest possible wxWizardPage implementation: it just returns the pointers given to its constructor from wxWizardPage::GetNext() and wxWizardPage::GetPrev() functions.

This makes it very easy to use the objects of this class in the wizards where the pages order is known statically - on the other hand, if this is not the case you must derive your own class from wxWizardPage instead.

##

Library: wxAdvanced

Category: Miscellaneous Windows

See also:
  wxWizard, Wizard Sample

## Public Member Functions
| wxWizardPageSimple (wxWizard *parent, wxWizardPage *prev=NULL, wxWizardPage *next=NULL, const wxBitmap &bitmap=wxNullBitmap)
| Constructor takes the previous and next pages.
void | SetNext (wxWizardPage *next)
| Sets the next page.
void | SetPrev (wxWizardPage *prev)
| Sets the previous page.
## Static Public Member Functions
static void | Chain (wxWizardPageSimple *first, wxWizardPageSimple *second)
| A convenience function to make the pages follow each other.

List of all members.

## Constructor & Destructor Documentation

wxWizardPageSimple::wxWizardPageSimple | ( | wxWizard * | parent,
|  | wxWizardPage * | prev = `NULL`,
|  | wxWizardPage * | next = `NULL`,
|  | const wxBitmap & | bitmap = `wxNullBitmap` |
| ) |  |  |

Constructor takes the previous and next pages.

They may be modified later by SetPrev() or SetNext().

## Member Function Documentation

static void wxWizardPageSimple::Chain | ( | wxWizardPageSimple * | first,
|  | wxWizardPageSimple * | second |
| ) |  |  | `[static]`

A convenience function to make the pages follow each other.

Example:

            wxRadioboxPage *page3 = new wxRadioboxPage(wizard);
            wxValidationPage *page4 = new wxValidationPage(wizard);

            wxWizardPageSimple::Chain(page3, page4);

void wxWizardPageSimple::SetNext | ( | wxWizardPage * | next | ) |

Sets the next page.

void wxWizardPageSimple::SetPrev | ( | wxWizardPage * | prev | ) |

Sets the previous page.

|  | [ top ]